Gecode::Set::Rel::CharacteristicSets::CSIter Class Reference

Value iterator for characteristic function. More...

`#include <lq.hpp>`

## Public Member Functions

void | operator++ (void)
| Move iterator to next element.
| CSIter (void)
| Default constructor.
| CSIter (CharacteristicSets &cs0, unsigned int xoff0, unsigned int yoff0)
| Constructor.
bool | operator() (void) const
| Test if iterator is finished.
int | val (void) const
| Value of current iterator position.

## Public Attributes

CharacteristicSets * | cs
| Pointer to the underlying set.
unsigned int | i
| Current position.
unsigned int | xoff
| Offset from start of bitset.
unsigned int | yoff
| Offset for each element (0=lower bound, 1=upper bound).

## Detailed Description

Value iterator for characteristic function.

Definition at line 61 of file lq.hpp.

## Constructor & Destructor Documentation

## CSIter() [1/2]

Gecode::Set::Rel::CharacteristicSets::CSIter::CSIter | ( | void |  | ) |

inline

Default constructor.

Definition at line 142 of file lq.hpp.

## CSIter() [2/2]

Gecode::Set::Rel::CharacteristicSets::CSIter::CSIter | ( | CharacteristicSets & | cs0,
|  | unsigned int | xoff0,
|  | unsigned int | yoff0 )

inline

Constructor.

Definition at line 144 of file lq.hpp.

## Member Function Documentation

## operator++()

void Gecode::Set::Rel::CharacteristicSets::CSIter::operator++ | ( | void |  | ) |

inline

Move iterator to next element.

Definition at line 151 of file lq.hpp.

## operator()()

bool Gecode::Set::Rel::CharacteristicSets::CSIter::operator() | ( | void |  | ) | const

inline

Test if iterator is finished.

Definition at line 157 of file lq.hpp.

## val()

int Gecode::Set::Rel::CharacteristicSets::CSIter::val | ( | void |  | ) | const

inline

Value of current iterator position.

Definition at line 161 of file lq.hpp.

## Member Data Documentation

## cs

CharacteristicSets* Gecode::Set::Rel::CharacteristicSets::CSIter::cs

Pointer to the underlying set.

Definition at line 64 of file lq.hpp.

## i

unsigned int Gecode::Set::Rel::CharacteristicSets::CSIter::i

Current position.

Definition at line 66 of file lq.hpp.

## xoff

unsigned int Gecode::Set::Rel::CharacteristicSets::CSIter::xoff

Offset from start of bitset.

Definition at line 68 of file lq.hpp.

## yoff

unsigned int Gecode::Set::Rel::CharacteristicSets::CSIter::yoff

Offset for each element (0=lower bound, 1=upper bound).

Definition at line 70 of file lq.hpp.

The documentation for this class was generated from the following file:

- gecode/set/rel/lq.hpp